---
title: XDomainRequest.send()
slug: Web/API/XDomainRequest/send
tags:
  - API
  - DOM
  - IE
  - Method
  - Microsoft
  - Obsolete
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>Sends an {{domxref("XDomainRequest")}} which has previously been opened calling {{domxref("XDomainRequest.open()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.send(data);</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>data</code></dt>
 <dd>The form data to be sent with the request. This parameter is optional for GET requests.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("POST", "http://example.com/api/method");
xdr.onload = function(){
  //Handle Response with xdr.responseText
}
xdr.send("param1=value1&amp;param2=value2");</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.send")}}</p>
